---
- hosts: localhost
  gather_facts: false

  tasks:
    - include_role:
        name: "example-setup"
      vars:
        playbook: "{{ playbook_dir }}/end_of_life.yml"
    
    - name: Query IPF OS Versions
      community_fabric.ansible.table_info:
        provider: "{{ provider }}"
        technology: inventory
        table: os_version_consistency
        snapshot_id: "{{ snapshot_id | default('$last') }}"
      register: os_versions

    - name: Print Example OS Version Data
      debug:
        var: os_versions.data[0]
